%global packname cli
%global packver 1.0.0

Name:             R-%{packname}
Version:          %{packver}
Release:          1%{?dist}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{packver}.tar.gz
License:          MIT
URL:              http://cran.r-project.org/web/packages/cli/index.html
Summary:          Helpers for Developing Command Line Interfaces
BuildRequires:    R-devel >= 3.0.0, tetex-latex, R-assertthat, R-crayon, R-methods
BuildArch:        noarch
Requires:         R-core >= 3.0.0, R-assertthat, R-crayon, R-methods

%description
A suite of tools designed to build attractive command line interfaces ('CLIs').
Includes tools for drawing rules, boxes, trees, and 'Unicode' symbols with 
'ASCII' alternatives.

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_datadir}/R/library %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_datadir}/R/library/R.css

%check
# Needs R-covr, not in fedora
%if 0
%{_bindir}/R CMD check %{packname}
%endif

%files
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/LICENSE
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/NEWS.md
%{_datadir}/R/library/%{packname}/DESCRIPTION
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/help

%changelog
* Wed May 16 2018 Tom Callaway <spot@fedoraproject.org> - 1.0.0-1
- initial package
